summaryrefslogtreecommitdiffstats
path: root/test/test.d/packages.sh
diff options
context:
space:
mode:
authorPierre Schmitz <pierre@archlinux.de>2010-11-25 08:18:26 +0100
committerPierre Schmitz <pierre@archlinux.de>2010-11-25 08:18:26 +0100
commit793d78130ba808ee688c8b7139a2bc6180b29534 (patch)
tree465ba7cab4eef1a56ed157e35e8fa20a155b4213 /test/test.d/packages.sh
parent5f72b8029c07f3357014d8716f18f21ce649c98a (diff)
downloaddbscripts-793d78130ba808ee688c8b7139a2bc6180b29534.tar.gz
dbscripts-793d78130ba808ee688c8b7139a2bc6180b29534.tar.xz
Split tests into several files
* tests can be run seperatly * runTest will run all tests that have the x bit set
Diffstat (limited to 'test/test.d/packages.sh')
-rwxr-xr-xtest/test.d/packages.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/test/test.d/packages.sh b/test/test.d/packages.sh
new file mode 100755
index 0000000..324f73a
--- /dev/null
+++ b/test/test.d/packages.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+curdir=$(readlink -e $(dirname $0))
+. "${curdir}/../lib/common.inc"
+
+testPackages() {
+ # TODO: namcap -r depends fails with i686 packages
+ find "${pkgdir}" -name "*${PKGEXT}" -exec namcap -e depends {} + || fail 'namcap failed'
+}
+
+. "${curdir}/../lib/shunit2"